function v = rownorm(A)
% Euclidean norm of each row of a matrix A.
%
% Input arguments:
% A:
%    an M-by-N matrix
%
% Output arguments:
% v:
%    an M-by-1 vector

narginchk(1, 1);
v = sqrt(sum(A.*A, 2));